### Enumeration

# Snapd SystemConfinement

since: 1.15

#### Declaration

    enum Snapd.SystemConfinement

#### Description [src]

Confinement used by a snap.

Available since: 1.15

#### Members

`SNAPD_SYSTEM_CONFINEMENT_UNKNOWN`

  The confinement of the system is unknown.

  - Value: `0`
  - Available since: 1.15
`SNAPD_SYSTEM_CONFINEMENT_STRICT`

  The system supports strict confinement.

  - Value: `1`
  - Available since: 1.15
`SNAPD_SYSTEM_CONFINEMENT_PARTIAL`

  The system supports partial confinement.

  - Value: `2`
  - Available since: 1.15